List withdrawals
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://core.prod.gnosispay.com/partner-api/v1/withdrawals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://core.prod.gnosispay.com/partner-api/v1/withdrawals \
--header 'Authorization: Bearer <token>'import requests
url = "https://core.prod.gnosispay.com/partner-api/v1/withdrawals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://core.prod.gnosispay.com/partner-api/v1/withdrawals"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://core.prod.gnosispay.com/partner-api/v1/withdrawals")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://core.prod.gnosispay.com/partner-api/v1/withdrawals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"chain_id": 123,
"safe_address": "<string>",
"token": "<string>",
"token_name": "<string>",
"amount": "<string>",
"to_address": "<string>",
"tx_hash": "<string>",
"block_number": 123,
"status": "pending",
"api_initiated": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"next_page_cursor": "<string>",
"has_next": true
}
}{
"code": 123,
"message": "<string>",
"reason": "<string>"
}Withdrawals
List withdrawals
Lists on-chain withdrawals available to the authenticated partner.
account_id is required and scopes the result to one account. Results are
returned newest first. Use the withdrawal-by-ID route to track a specific
withdrawal after creation.
GET
/
v1
/
withdrawals
List withdrawals
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://core.prod.gnosispay.com/partner-api/v1/withdrawals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://core.prod.gnosispay.com/partner-api/v1/withdrawals \
--header 'Authorization: Bearer <token>'import requests
url = "https://core.prod.gnosispay.com/partner-api/v1/withdrawals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://core.prod.gnosispay.com/partner-api/v1/withdrawals"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://core.prod.gnosispay.com/partner-api/v1/withdrawals")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://core.prod.gnosispay.com/partner-api/v1/withdrawals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"chain_id": 123,
"safe_address": "<string>",
"token": "<string>",
"token_name": "<string>",
"amount": "<string>",
"to_address": "<string>",
"tx_hash": "<string>",
"block_number": 123,
"status": "pending",
"api_initiated": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"next_page_cursor": "<string>",
"has_next": true
}
}{
"code": 123,
"message": "<string>",
"reason": "<string>"
}Query Parameters
The account whose withdrawals to list. The items are sorted by created_at, newest first.
The number of withdrawals on each page (1-100).
Required range:
1 <= x <= 100The cursor of the page to return. Its value comes from pagination.next_page_cursor in the previous response.